<?php
//This plugin will allow users to add post tag meta data
?>
<?php
function wecode_category_fields($term) {
    // checking the name of the action to render different outputs
    if (current_filter() == 'category_edit_form_fields') {
        //getting the existing keywords	
        $keywords = get_term_meta( $term->term_id, 'term_keywords', true ); 	
        ?>
        <tr class="form-field">
            <th valign="top" scope="row"><label for="keywords"><?php _e('Keywords'); ?></label></th>
            <td>
                <input type="text" size="40" value="<?php echo esc_attr( $keywords ) ? esc_attr( $keywords ) : ''; ?>"  name="keywords"><br/>
                <span class="description"><?php _e('Please enter your keywords'); ?></span>
            </td>
        </tr>   
    <?php } elseif (current_filter() == 'category_add_form_fields') {
        ?>
        <div class="form-field">
            <label for="keywords"><?php _e('Keywords'); ?></label>
            <input type="text" size="40" value=""  name="keywords">
            <p class="description"><?php _e('Please enter your keywords'); ?></p>
        </div>  
    <?php
    }
}

//show keywords input box in the add post category screen
add_action('category_add_form_fields', 'wecode_category_fields', 10, 2);

//show keyword input box in the edit category screen
add_action('category_edit_form_fields', 'wecode_category_fields', 10, 2);

//Saving meta keywords into DB
function wecode_save_category_fields($term_id) {
    if ( isset( $_REQUEST['keywords'] ) ) {
        $term_keywords = $_REQUEST['keywords'];
        if( $term_keywords ) {
                update_term_meta( $term_id, 'term_keywords', $term_keywords );
        }
    } 	
}

//Enable saving custom field in the edit screen
add_action('edited_category', 'wecode_save_category_fields', 10, 2);

//Enable saving custom field in the add screen
add_action('create_category', 'wecode_save_category_fields', 10, 2);

//function to display keywords in the category pages
function display_category_key_words(){	
    if(is_category()){
        //show category keywords
        $termid = get_queried_object()->term_id;			
        $key_words =get_term_meta( $termid, 'term_keywords', true );
        echo '<meta name="keywords" content="'. $key_words.'" >'; 			
    }    
     
}
//calling the above function in the header
add_action('wp_head','display_category_key_words',1);	

?>